CVE-2002-1107
CVSS7.5
发布时间 :2002-10-04 00:00:00
修订时间 :2008-09-05 16:29:48
NMCO    

[原文]Cisco Virtual Private Network (VPN) Client software 2.x.x, and 3.x before 3.5.2B, does not generate sufficiently random numbers, which may make it vulnerable to certain attacks such as spoofing.


[CNNVD]Cisco VPN客户端序列号可预测漏洞(CNNVD-200210-047)

        
        Cisco Virtual Private Network (VPN)客户端程序用于与企业CISCO VPN设备通过Internet安全通信的程序。使用在Microsoft Windows操作系统下,也可以使用在Linux操作系统下。
        Cisco VPN客户端生成序列号机制不够强壮,远程攻击者可以利用这个漏洞通过Man-In-Middle方法进行攻击或者插入数据包到一个已经存在的连接中。
        Cisco VPN客户端在生成TCP序列号时使用可预测的,不随机的方法,攻击者可以预测VPN会话的TCP序列号,通过Man-In-Middle或者插入数据到连接中劫持会话,可导致信息泄露或者远程未授权访问VPN集中器。
        CISCO指定这个漏洞号为:CSCdx89416
        

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

cpe:/a:cisco:vpn_client:2.0::windows
cpe:/a:cisco:vpn_client:3.0.5::windows
cpe:/a:cisco:vpn_client:3.1::windows
cpe:/a:cisco:vpn_client:3.5.1::linux
cpe:/a:cisco:vpn_client:3.5.2::mac_os_x
cpe:/a:cisco:vpn_client:3.5.2::windows
cpe:/a:cisco:vpn_client:3.0::windows
cpe:/a:cisco:vpn_client:3.5.1::mac_os_x
cpe:/a:cisco:vpn_client:3.5.2::solaris
cpe:/a:cisco:vpn_client:3.5.2::linux
cpe:/a:cisco:vpn_client:3.5.1::solaris
cpe:/a:cisco:vpn_client:3.5.1::windows
cpe:/a:cisco:vpn_client:3.5.1c::windows

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2002-1107
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2002-1107
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200210-047
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/10046
(VENDOR_ADVISORY)  XF  cisco-vpn-random-numbers(10046)
http://www.securityfocus.com/bid/5653
(VENDOR_ADVISORY)  BID  5653
http://www.cisco.com/warp/public/707/vpnclient-multiple2-vuln-pub.shtml
(VENDOR_ADVISORY)  CISCO  20020905 Cisco VPN Client Multiple Vulnerabilities - Second Set

- 漏洞信息

Cisco VPN客户端序列号可预测漏洞
高危 未知
2002-10-04 00:00:00 2005-05-13 00:00:00
远程  
        
        Cisco Virtual Private Network (VPN)客户端程序用于与企业CISCO VPN设备通过Internet安全通信的程序。使用在Microsoft Windows操作系统下,也可以使用在Linux操作系统下。
        Cisco VPN客户端生成序列号机制不够强壮,远程攻击者可以利用这个漏洞通过Man-In-Middle方法进行攻击或者插入数据包到一个已经存在的连接中。
        Cisco VPN客户端在生成TCP序列号时使用可预测的,不随机的方法,攻击者可以预测VPN会话的TCP序列号,通过Man-In-Middle或者插入数据到连接中劫持会话,可导致信息泄露或者远程未授权访问VPN集中器。
        CISCO指定这个漏洞号为:CSCdx89416
        

- 公告与补丁

        临时解决方法:
        如果您不能立刻安装补丁或者升级,CNNVD建议您采取以下措施以降低威胁:
        * 暂时停止使用Cisco VPN客户端。
        厂商补丁:
        Cisco
        -----
        Cisco已经为此发布了一个安全公告(Cisco-vpnclient2)以及相应补丁:
        Cisco-vpnclient2:Cisco VPN Client Multiple Vulnerabilities - Second Set
        链接:
        http://www.cisco.com/warp/public/707/vpnclient-multiple2-vuln-pub.shtml

        补丁下载:
        Cisco VPN 3.5.2B(及后续版本)已修复了这一漏洞。
        关于升级到已修复程序的方法,详情请见:
        
        http://www.cisco.com/univercd/cc/td/doc/product/vpn/client/

        签约用户可从正常更新渠道获取升级软件。对大多数用户来说,可通过Cisco网站软件中心获取升级软件:
        
        http://www.cisco.com/public/sw-center/

        事先或目前与第三方支持组织,如Cisco合作伙伴、授权零售商或服务商之间已有协议,由第三方组织提供Cisco产品或技术支持的用户可免费获得升级支持。
        直接从Cisco购买产品但没有Cisco服务合同的用户和由第三方厂商购买产品但无法从销售方获得已修复软件的用户可从Cisco技术支持中心(TAC)获取升级软件。TAC联系方法:
         * +1 800 553 2447 (北美地区免话费)
         * +1 408 526 7209 (全球收费)
         * e-mail: tac@cisco.com

- 漏洞信息

8920
Cisco VPN Client Random Number Generator Weakness

- 漏洞描述

Unknown or Incomplete

- 时间线

2002-09-05 Unknow
Unknow Unknow

- 解决方案

Unknown or Incomplete

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站